Package ru.bitel.bgbilling.modules.rentsoft.server.bean

# Class RentsoftRequestEntry

java.lang.Object
ru.bitel.bgbilling.modules.rentsoft.server.bean.RentsoftRequestEntry

    public class RentsoftRequestEntry
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RentsoftRequestEntry()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigDecimal` | `getAmount()` |
  `java.lang.String` | `getComment()` |
  `java.util.Date` | `getPeriodEnd()` |
  `java.lang.String` | `getServiceKey()` |
  `java.lang.String` | `getServiceName()` |
  `int` | `getStatus()` |
  `int` | `getSubId()` |
  `int` | `getTariffId()` |
  `java.lang.String` | `getTxid()` |
  `java.lang.String` | `getUuid()` |
  `void` | `setAmount​(java.math.BigDecimal amount)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setPeriodEnd​(java.util.Date periodEnd)` |
  `void` | `setServiceKey​(java.lang.String serviceKey)` |
  `void` | `setServiceName​(java.lang.String serviceName)` |
  `void` | `setStatus​(int status)` |
  `void` | `setSubId​(int subId)` |
  `void` | `setTariffId​(int tariffId)` |
  `void` | `setTxid​(java.lang.String txid)` |
  `void` | `setUuid​(java.lang.String uuid)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RentsoftRequestEntry

    public RentsoftRequestEntry()

- ## Method Details

  - ### getUuid

    public java.lang.String getUuid()

  - ### setUuid

    public void setUuid​(java.lang.String uuid)

  - ### getTxid

    public java.lang.String getTxid()

  - ### setTxid

    public void setTxid​(java.lang.String txid)

  - ### getAmount

    public java.math.BigDecimal getAmount()

  - ### setAmount

    public void setAmount​(java.math.BigDecimal amount)

  - ### getServiceKey

    public java.lang.String getServiceKey()

  - ### setServiceKey

    public void setServiceKey​(java.lang.String serviceKey)

  - ### getServiceName

    public java.lang.String getServiceName()

  - ### setServiceName

    public void setServiceName​(java.lang.String serviceName)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getSubId

    public int getSubId()

  - ### setSubId

    public void setSubId​(int subId)

  - ### getPeriodEnd

    public java.util.Date getPeriodEnd()

  - ### setPeriodEnd

    public void setPeriodEnd​(java.util.Date periodEnd)

  - ### setStatus

    public void setStatus​(int status)

  - ### getStatus

    public int getStatus()

  - ### getTariffId

    public int getTariffId()

  - ### setTariffId

    public void setTariffId​(int tariffId)